Bug 151536 - optimized dual-core support for opteron - 2.6.11-rc3 kernel (or newer))
optimized dual-core support for opteron - 2.6.11-rc3 kernel (or newer))
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Burke
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 18:49 EST by Christopher P Johnson
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 22:05:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher P Johnson 2005-03-18 18:49:54 EST
Description of problem:

Sun Microsystems ships an ever-growing family of opteron based systems,
which will shortly ship with dual-core opteron support.

Dual-core opteron support has become reasonably performant in the 2.6.11-rc3
linux kernel or later (see the quote below). Further work on scheduler
optimization is apparently also occurring this quarter at SuSE.

This bug requests that this support be added to RHEL4 U1 (and RHEL3 updates
if possible).

Note that it is definitely not desired that the node-interleaving bios
option be mandatory to boot on x86_64 dual-node machines.

===

The 2.6.11-rc3 Linux kernel from kernel.org is the preferred Linux kernel. It
should run on all dual-core machines with properly configured BIOSes. It is
stable, and provides relatively good performance. The scheduler is not
completely aware of dual-core processors, and will tend to cluster threads and
processors onto 1-2 nodes, instead of spreading them out to maximize the number
of memory controllers. SUSE/Novell is working on this, and intends to have an
improved patch by 3/1/2005. 

====

Dual-core performance on current kernels is poor.

If I build a 2.6.11 kernel, then it improves to what is expected.  However,
these kernel changes are not available in sles9.

Note: SuSE Linux Pro 3 is scheduled to have a 2.6.11 based kernel.
Comment 1 Rik van Riel 2005-03-18 22:05:54 EST
While I agree that we should look into improving performance on dual core
machines, this really is more of a business decision rather than just a
technical issue.

Please raise this feature request with your partner manager and/or TAM, or file
it in Issue Tracker so it will receive the right attention at the management and
business level.  Adding features this big after a RHEL product has released is
not something that can, or should, be done by just engineering.

Note You need to log in before you can comment on or make changes to this bug.